﻿Feature: Uri Resolver Specs
	In order to connect correctly to an HDInsigt Cluster
	As a developer
	I want to resolve Uris correctly.

@CheckIn
Scenario Outline: I can resolve various Uris correctly
	Given I have the uri "<Uri>"
	  And I have a version <Version> cluster
	 When I resolve the cluster url
	 Then the resolved uri should be equal to "<Resolved>"
Examples: 
| Uri                                                     | Version | Resolved                                                |
# Unknown Cluster version (Remote Credentials) 
| localhost                                               | unknown | https://localhost:50111                                 |
| localhost:123                                           | unknown | https://localhost:123                                   |
| localhost:443                                           | unknown | https://localhost:443                                   |
| localhost:563                                           | unknown | https://localhost:563                                   |
| localhost:50111                                         | unknown | https://localhost:50111                                 |
| mycluster                                               | unknown | https://mycluster.azurehdinsight.net:443                |
| mycluster:123                                           | unknown | https://mycluster.azurehdinsight.net:123                |
| mycluster:443                                           | unknown | https://mycluster.azurehdinsight.net:443                |
| mycluster:563                                           | unknown | https://mycluster.azurehdinsight.net:563                |
| mycluster:50111                                         | unknown | https://mycluster.azurehdinsight.net:50111              |
| http://localhost                                        | unknown | https://localhost:50111                                 |
| https://localhost                                       | unknown | https://localhost:50111                                 |
| http://localhost:50111                                  | unknown | https://localhost:50111                                 |
| https://localhost:50111                                 | unknown | https://localhost:50111                                 |
| http://localhost:123                                    | unknown | https://localhost:123                                   |
| https://localhost:123                                   | unknown | https://localhost:123                                   |
| http://localhost:443                                    | unknown | https://localhost:443                                   |
| https://localhost:443                                   | unknown | https://localhost:443                                   |
| http://localhost:563                                    | unknown | https://localhost:563                                   |
| https://localhost:563                                   | unknown | https://localhost:563                                   |
| http://mycluster                                        | unknown | https://mycluster.azurehdinsight.net:443                |
| https://mycluster                                       | unknown | https://mycluster.azurehdinsight.net:443                |
| http://mycluster:50111                                  | unknown | https://mycluster.azurehdinsight.net:50111              |
| https://mycluster:50111                                 | unknown | https://mycluster.azurehdinsight.net:50111              |
| http://mycluster:123                                    | unknown | https://mycluster.azurehdinsight.net:123                |
| https://mycluster:123                                   | unknown | https://mycluster.azurehdinsight.net:123                |
| http://mycluster:443                                    | unknown | https://mycluster.azurehdinsight.net:443                |
| https://mycluster:443                                   | unknown | https://mycluster.azurehdinsight.net:443                |
| http://mycluster:563                                    | unknown | https://mycluster.azurehdinsight.net:563                |
| https://mycluster:563                                   | unknown | https://mycluster.azurehdinsight.net:563                |
| http://mycluster.azurehdinsight.net                     | unknown | https://mycluster.azurehdinsight.net:443                |
| https://mycluster.azurehdinsight.net                    | unknown | https://mycluster.azurehdinsight.net:443                |
| http://mycluster.azurehdinsight.net:123                 | unknown | https://mycluster.azurehdinsight.net:123                |
| https://mycluster.azurehdinsight.net:123                | unknown | https://mycluster.azurehdinsight.net:123                |
| http://mycluster.azurehdinsight.net:443                 | unknown | https://mycluster.azurehdinsight.net:443                |
| https://mycluster.azurehdinsight.net:443                | unknown | https://mycluster.azurehdinsight.net:443                |
| http://mycluster.azurehdinsight.net:563                 | unknown | https://mycluster.azurehdinsight.net:563                |
| https://mycluster.azurehdinsight.net:563                | unknown | https://mycluster.azurehdinsight.net:563                |
| http://mycluster.azurehdinsight.net:50111               | unknown | https://mycluster.azurehdinsight.net:50111              |
| https://mycluster.azurehdinsight.net:50111              | unknown | https://mycluster.azurehdinsight.net:50111              |
| http://mycluster.hdinsight-stable.azure-test.net        | unknown | https://mycluster.hdinsight-stable.azure-test.net:443   |
| https://mycluster.hdinsight-stable.azure-test.net       | unknown | https://mycluster.hdinsight-stable.azure-test.net:443   |
| http://mycluster.hdinsight-stable.azure-test.net:123    | unknown | https://mycluster.hdinsight-stable.azure-test.net:123   |
| https://mycluster.hdinsight-stable.azure-test.net:123   | unknown | https://mycluster.hdinsight-stable.azure-test.net:123   |
| http://mycluster.hdinsight-stable.azure-test.net:443    | unknown | https://mycluster.hdinsight-stable.azure-test.net:443   |
| https://mycluster.hdinsight-stable.azure-test.net:443   | unknown | https://mycluster.hdinsight-stable.azure-test.net:443   |
| http://mycluster.hdinsight-stable.azure-test.net:563    | unknown | https://mycluster.hdinsight-stable.azure-test.net:563   |
| https://mycluster.hdinsight-stable.azure-test.net:563   | unknown | https://mycluster.hdinsight-stable.azure-test.net:563   |
| http://mycluster.hdinsight-stable.azure-test.net:50111  | unknown | https://mycluster.hdinsight-stable.azure-test.net:50111 |
| https://mycluster.hdinsight-stable.azure-test.net:50111 | unknown | https://mycluster.hdinsight-stable.azure-test.net:50111 |
# Version 1.6 Clusters
| localhost                                               | 1.6     | https://localhost:50111                                 |
| localhost:123                                           | 1.6     | https://localhost:123                                   |
| localhost:443                                           | 1.6     | https://localhost:443                                   |
| localhost:563                                           | 1.6     | https://localhost:563                                   |
| localhost:50111                                         | 1.6     | https://localhost:50111                                 |
| mycluster                                               | 1.6     | https://mycluster.azurehdinsight.net:443                |
| mycluster:123                                           | 1.6     | https://mycluster.azurehdinsight.net:443                |
| mycluster:443                                           | 1.6     | https://mycluster.azurehdinsight.net:443                |
| mycluster:563                                           | 1.6     | https://mycluster.azurehdinsight.net:443                |
| mycluster:50111                                         | 1.6     | https://mycluster.azurehdinsight.net:443                |
| http://localhost                                        | 1.6     | https://localhost:50111                                 |
| https://localhost                                       | 1.6     | https://localhost:50111                                 |
| http://localhost:50111                                  | 1.6     | https://localhost:50111                                 |
| https://localhost:50111                                 | 1.6     | https://localhost:50111                                 |
| http://localhost:123                                    | 1.6     | https://localhost:123                                   |
| https://localhost:123                                   | 1.6     | https://localhost:123                                   |
| http://localhost:443                                    | 1.6     | https://localhost:443                                   |
| https://localhost:443                                   | 1.6     | https://localhost:443                                   |
| http://localhost:563                                    | 1.6     | https://localhost:563                                   |
| https://localhost:563                                   | 1.6     | https://localhost:563                                   |
| http://mycluster                                        | 1.6     | https://mycluster.azurehdinsight.net:443                |
| https://mycluster                                       | 1.6     | https://mycluster.azurehdinsight.net:443                |
| http://mycluster:50111                                  | 1.6     | https://mycluster.azurehdinsight.net:443                |
| https://mycluster:50111                                 | 1.6     | https://mycluster.azurehdinsight.net:443                |
| http://mycluster:123                                    | 1.6     | https://mycluster.azurehdinsight.net:443                |
| https://mycluster:123                                   | 1.6     | https://mycluster.azurehdinsight.net:443                |
| http://mycluster:443                                    | 1.6     | https://mycluster.azurehdinsight.net:443                |
| https://mycluster:443                                   | 1.6     | https://mycluster.azurehdinsight.net:443                |
| http://mycluster:563                                    | 1.6     | https://mycluster.azurehdinsight.net:443                |
| https://mycluster:563                                   | 1.6     | https://mycluster.azurehdinsight.net:443                |
| http://mycluster.azurehdinsight.net                     | 1.6     | https://mycluster.azurehdinsight.net:443                |
| https://mycluster.azurehdinsight.net                    | 1.6     | https://mycluster.azurehdinsight.net:443                |
| http://mycluster.azurehdinsight.net:123                 | 1.6     | https://mycluster.azurehdinsight.net:443                |
| https://mycluster.azurehdinsight.net:123                | 1.6     | https://mycluster.azurehdinsight.net:443                |
| http://mycluster.azurehdinsight.net:443                 | 1.6     | https://mycluster.azurehdinsight.net:443                |
| https://mycluster.azurehdinsight.net:443                | 1.6     | https://mycluster.azurehdinsight.net:443                |
| http://mycluster.azurehdinsight.net:563                 | 1.6     | https://mycluster.azurehdinsight.net:443                |
| https://mycluster.azurehdinsight.net:563                | 1.6     | https://mycluster.azurehdinsight.net:443                |
| http://mycluster.azurehdinsight.net:50111               | 1.6     | https://mycluster.azurehdinsight.net:443                |
| https://mycluster.azurehdinsight.net:50111              | 1.6     | https://mycluster.azurehdinsight.net:443                |
| http://mycluster.hdinsight-stable.azure-test.net        | 1.6     | https://mycluster.hdinsight-stable.azure-test.net:443   |
| https://mycluster.hdinsight-stable.azure-test.net       | 1.6     | https://mycluster.hdinsight-stable.azure-test.net:443   |
| http://mycluster.hdinsight-stable.azure-test.net:123    | 1.6     | https://mycluster.hdinsight-stable.azure-test.net:443   |
| https://mycluster.hdinsight-stable.azure-test.net:123   | 1.6     | https://mycluster.hdinsight-stable.azure-test.net:443   |
| http://mycluster.hdinsight-stable.azure-test.net:443    | 1.6     | https://mycluster.hdinsight-stable.azure-test.net:443   |
| https://mycluster.hdinsight-stable.azure-test.net:443   | 1.6     | https://mycluster.hdinsight-stable.azure-test.net:443   |
| http://mycluster.hdinsight-stable.azure-test.net:563    | 1.6     | https://mycluster.hdinsight-stable.azure-test.net:443   |
| https://mycluster.hdinsight-stable.azure-test.net:563   | 1.6     | https://mycluster.hdinsight-stable.azure-test.net:443   |
| http://mycluster.hdinsight-stable.azure-test.net:50111  | 1.6     | https://mycluster.hdinsight-stable.azure-test.net:443   |
| https://mycluster.hdinsight-stable.azure-test.net:50111 | 1.6     | https://mycluster.hdinsight-stable.azure-test.net:443   |
# Version 2.1 clusters
| localhost                                               | 2.1     | https://localhost:50111                                 |
| localhost:123                                           | 2.1     | https://localhost:123                                   |
| localhost:443                                           | 2.1     | https://localhost:443                                   |
| localhost:563                                           | 2.1     | https://localhost:563                                   |
| localhost:50111                                         | 2.1     | https://localhost:50111                                 |
| mycluster                                               | 2.1     | https://mycluster.azurehdinsight.net:443                |
| mycluster:123                                           | 2.1     | https://mycluster.azurehdinsight.net:443                |
| mycluster:443                                           | 2.1     | https://mycluster.azurehdinsight.net:443                |
| mycluster:563                                           | 2.1     | https://mycluster.azurehdinsight.net:443                |
| mycluster:50111                                         | 2.1     | https://mycluster.azurehdinsight.net:443                |
| http://localhost                                        | 2.1     | https://localhost:50111                                 |
| https://localhost                                       | 2.1     | https://localhost:50111                                 |
| http://localhost:50111                                  | 2.1     | https://localhost:50111                                 |
| https://localhost:50111                                 | 2.1     | https://localhost:50111                                 |
| http://localhost:123                                    | 2.1     | https://localhost:123                                   |
| https://localhost:123                                   | 2.1     | https://localhost:123                                   |
| http://localhost:443                                    | 2.1     | https://localhost:443                                   |
| https://localhost:443                                   | 2.1     | https://localhost:443                                   |
| http://localhost:563                                    | 2.1     | https://localhost:563                                   |
| https://localhost:563                                   | 2.1     | https://localhost:563                                   |
| http://mycluster                                        | 2.1     | https://mycluster.azurehdinsight.net:443                |
| https://mycluster                                       | 2.1     | https://mycluster.azurehdinsight.net:443                |
| http://mycluster:50111                                  | 2.1     | https://mycluster.azurehdinsight.net:443                |
| https://mycluster:50111                                 | 2.1     | https://mycluster.azurehdinsight.net:443                |
| http://mycluster:123                                    | 2.1     | https://mycluster.azurehdinsight.net:443                |
| https://mycluster:123                                   | 2.1     | https://mycluster.azurehdinsight.net:443                |
| http://mycluster:443                                    | 2.1     | https://mycluster.azurehdinsight.net:443                |
| https://mycluster:443                                   | 2.1     | https://mycluster.azurehdinsight.net:443                |
| http://mycluster:563                                    | 2.1     | https://mycluster.azurehdinsight.net:443                |
| https://mycluster:563                                   | 2.1     | https://mycluster.azurehdinsight.net:443                |
| http://mycluster.azurehdinsight.net                     | 2.1     | https://mycluster.azurehdinsight.net:443                |
| https://mycluster.azurehdinsight.net                    | 2.1     | https://mycluster.azurehdinsight.net:443                |
| http://mycluster.azurehdinsight.net:123                 | 2.1     | https://mycluster.azurehdinsight.net:443                |
| https://mycluster.azurehdinsight.net:123                | 2.1     | https://mycluster.azurehdinsight.net:443                |
| http://mycluster.azurehdinsight.net:443                 | 2.1     | https://mycluster.azurehdinsight.net:443                |
| https://mycluster.azurehdinsight.net:443                | 2.1     | https://mycluster.azurehdinsight.net:443                |
| http://mycluster.azurehdinsight.net:563                 | 2.1     | https://mycluster.azurehdinsight.net:443                |
| https://mycluster.azurehdinsight.net:563                | 2.1     | https://mycluster.azurehdinsight.net:443                |
| http://mycluster.azurehdinsight.net:50111               | 2.1     | https://mycluster.azurehdinsight.net:443                |
| https://mycluster.azurehdinsight.net:50111              | 2.1     | https://mycluster.azurehdinsight.net:443                |
| http://mycluster.hdinsight-stable.azure-test.net        | 2.1     | https://mycluster.hdinsight-stable.azure-test.net:443   |
| https://mycluster.hdinsight-stable.azure-test.net       | 2.1     | https://mycluster.hdinsight-stable.azure-test.net:443   |
| http://mycluster.hdinsight-stable.azure-test.net:123    | 2.1     | https://mycluster.hdinsight-stable.azure-test.net:443   |
| https://mycluster.hdinsight-stable.azure-test.net:123   | 2.1     | https://mycluster.hdinsight-stable.azure-test.net:443   |
| http://mycluster.hdinsight-stable.azure-test.net:443    | 2.1     | https://mycluster.hdinsight-stable.azure-test.net:443   |
| https://mycluster.hdinsight-stable.azure-test.net:443   | 2.1     | https://mycluster.hdinsight-stable.azure-test.net:443   |
| http://mycluster.hdinsight-stable.azure-test.net:563    | 2.1     | https://mycluster.hdinsight-stable.azure-test.net:443   |
| https://mycluster.hdinsight-stable.azure-test.net:563   | 2.1     | https://mycluster.hdinsight-stable.azure-test.net:443   |
| http://mycluster.hdinsight-stable.azure-test.net:50111  | 2.1     | https://mycluster.hdinsight-stable.azure-test.net:443   |
| https://mycluster.hdinsight-stable.azure-test.net:50111 | 2.1     | https://mycluster.hdinsight-stable.azure-test.net:443   |
# Version 2.0 clusters
| localhost                                               | 2.0     | https://localhost:50111                                 |
| localhost:123                                           | 2.0     | https://localhost:123                                   |
| localhost:443                                           | 2.0     | https://localhost:443                                   |
| localhost:563                                           | 2.0     | https://localhost:563                                   |
| localhost:50111                                         | 2.0     | https://localhost:50111                                 |
| mycluster                                               | 2.0     | https://mycluster.azurehdinsight.net:563                |
| mycluster:123                                           | 2.0     | https://mycluster.azurehdinsight.net:563                |
| mycluster:443                                           | 2.0     | https://mycluster.azurehdinsight.net:563                |
| mycluster:563                                           | 2.0     | https://mycluster.azurehdinsight.net:563                |
| mycluster:50111                                         | 2.0     | https://mycluster.azurehdinsight.net:563                |
| http://localhost                                        | 2.0     | https://localhost:50111                                 |
| https://localhost                                       | 2.0     | https://localhost:50111                                 |
| http://localhost:50111                                  | 2.0     | https://localhost:50111                                 |
| https://localhost:50111                                 | 2.0     | https://localhost:50111                                 |
| http://localhost:123                                    | 2.0     | https://localhost:123                                   |
| https://localhost:123                                   | 2.0     | https://localhost:123                                   |
| http://localhost:443                                    | 2.0     | https://localhost:443                                   |
| https://localhost:443                                   | 2.0     | https://localhost:443                                   |
| http://localhost:563                                    | 2.0     | https://localhost:563                                   |
| https://localhost:563                                   | 2.0     | https://localhost:563                                   |
| http://mycluster                                        | 2.0     | https://mycluster.azurehdinsight.net:563                |
| https://mycluster                                       | 2.0     | https://mycluster.azurehdinsight.net:563                |
| http://mycluster:50111                                  | 2.0     | https://mycluster.azurehdinsight.net:563                |
| https://mycluster:50111                                 | 2.0     | https://mycluster.azurehdinsight.net:563                |
| http://mycluster:123                                    | 2.0     | https://mycluster.azurehdinsight.net:563                |
| https://mycluster:123                                   | 2.0     | https://mycluster.azurehdinsight.net:563                |
| http://mycluster:443                                    | 2.0     | https://mycluster.azurehdinsight.net:563                |
| https://mycluster:443                                   | 2.0     | https://mycluster.azurehdinsight.net:563                |
| http://mycluster:563                                    | 2.0     | https://mycluster.azurehdinsight.net:563                |
| https://mycluster:563                                   | 2.0     | https://mycluster.azurehdinsight.net:563                |
| http://mycluster.azurehdinsight.net                     | 2.0     | https://mycluster.azurehdinsight.net:563                |
| https://mycluster.azurehdinsight.net                    | 2.0     | https://mycluster.azurehdinsight.net:563                |
| http://mycluster.azurehdinsight.net:123                 | 2.0     | https://mycluster.azurehdinsight.net:563                |
| https://mycluster.azurehdinsight.net:123                | 2.0     | https://mycluster.azurehdinsight.net:563                |
| http://mycluster.azurehdinsight.net:443                 | 2.0     | https://mycluster.azurehdinsight.net:563                |
| https://mycluster.azurehdinsight.net:443                | 2.0     | https://mycluster.azurehdinsight.net:563                |
| http://mycluster.azurehdinsight.net:563                 | 2.0     | https://mycluster.azurehdinsight.net:563                |
| https://mycluster.azurehdinsight.net:563                | 2.0     | https://mycluster.azurehdinsight.net:563                |
| http://mycluster.azurehdinsight.net:50111               | 2.0     | https://mycluster.azurehdinsight.net:563                |
| https://mycluster.azurehdinsight.net:50111              | 2.0     | https://mycluster.azurehdinsight.net:563                |
| http://mycluster.hdinsight-stable.azure-test.net        | 2.0     | https://mycluster.hdinsight-stable.azure-test.net:563   |
| https://mycluster.hdinsight-stable.azure-test.net       | 2.0     | https://mycluster.hdinsight-stable.azure-test.net:563   |
| http://mycluster.hdinsight-stable.azure-test.net:123    | 2.0     | https://mycluster.hdinsight-stable.azure-test.net:563   |
| https://mycluster.hdinsight-stable.azure-test.net:123   | 2.0     | https://mycluster.hdinsight-stable.azure-test.net:563   |
| http://mycluster.hdinsight-stable.azure-test.net:443    | 2.0     | https://mycluster.hdinsight-stable.azure-test.net:563   |
| https://mycluster.hdinsight-stable.azure-test.net:443   | 2.0     | https://mycluster.hdinsight-stable.azure-test.net:563   |
| http://mycluster.hdinsight-stable.azure-test.net:563    | 2.0     | https://mycluster.hdinsight-stable.azure-test.net:563   |
| https://mycluster.hdinsight-stable.azure-test.net:563   | 2.0     | https://mycluster.hdinsight-stable.azure-test.net:563   |
| http://mycluster.hdinsight-stable.azure-test.net:50111  | 2.0     | https://mycluster.hdinsight-stable.azure-test.net:563   |
| https://mycluster.hdinsight-stable.azure-test.net:50111 | 2.0     | https://mycluster.hdinsight-stable.azure-test.net:563   |