﻿// Copyright (c) Microsoft Corporation
// All rights reserved.
// 
// Licensed under the Apache License, Version 2.0 (the "License"); you may not
// use this file except in compliance with the License.  You may obtain a copy
// of the License at http://www.apache.org/licenses/LICENSE-2.0
// 
// THIS CODE IS PROVIDED *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
// KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
// WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,
// MERCHANTABLITY OR NON-INFRINGEMENT.
// 
// See the Apache Version 2.0 License for specific language governing
// permissions and limitations under the License.
namespace Microsoft.WindowsAzure.Management.HDInsight.Tests
{
    using System.Collections.Generic;
    using Microsoft.WindowsAzure.Management.HDInsight.ClusterProvisioning.PocoClient;
    using Microsoft.WindowsAzure.Management.HDInsight;

    class TestPocoClientFactoryFlowThrough : IHDInsightManagementPocoClientFactory
    {
        public TestPocoClientFactoryFlowThrough(IHDInsightManagementPocoClientFactory underlying)
        {
            this.underlying = underlying;
            this.Clients = new List<TestPocoClientFlowThrough>();
        }

        private IHDInsightManagementPocoClientFactory underlying;

        public List<TestPocoClientFlowThrough> Clients { get; private set; }

        public IHDInsightManagementPocoClient Create(IHDInsightSubscriptionCredentials credentials, IAbstractionContext context)
        {
            var client = new TestPocoClientFlowThrough(underlying.Create(credentials, context));
            this.Clients.Add(client);
            return client;
        }
    }
}
